Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.listAutomations();
console.log(result);
}
run();curl --request GET \
--url https://api.crevio.co/v1/socials/automations \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/socials/automations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/socials/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crevio.co/v1/socials/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crevio.co/v1/socials/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.crevio.co/v1/socials/automations")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crevio.co/v1/socials/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<string>",
"object": "social_automation",
"platform": "instagram",
"account_id": "<string>",
"active": true,
"name": "<string>",
"trigger": "comment",
"keywords": [
"<string>"
],
"match_mode": "word",
"exclude_keywords": [
"<string>"
],
"dm_message": "<string>",
"buttons": [
{
"title": "<string>",
"url": "<string>"
}
],
"comment_reply": "<string>",
"public_reply_policy": "after_dm",
"also_match_in_dms": true,
"dm_delay_seconds": 123,
"audience": {
"follower_status": "any",
"when_unknown": "send"
},
"follow_gate": {
"message": "<string>",
"button_label": "<string>",
"not_following_message": "<string>"
},
"repeat_policy": {
"mode": "once",
"cooldown_hours": 123
},
"platform_post_id": "<string>",
"post_id": "<string>",
"post_title": "<string>",
"stats": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "api_error",
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {},
"doc_url": "<string>"
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "invalid_request_error",
"code": "rate_limit_exceeded",
"message": "Too many requests. Please retry later."
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Social
List automations
The business’s comment and story automations (comment a keyword, get a DM), with their counters. Read GET /socials/automations//logs to see who triggered one and why a DM was skipped.
GET
/
socials
/
automations
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.listAutomations();
console.log(result);
}
run();curl --request GET \
--url https://api.crevio.co/v1/socials/automations \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/socials/automations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/socials/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.crevio.co/v1/socials/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.crevio.co/v1/socials/automations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.crevio.co/v1/socials/automations")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.crevio.co/v1/socials/automations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "<string>",
"object": "social_automation",
"platform": "instagram",
"account_id": "<string>",
"active": true,
"name": "<string>",
"trigger": "comment",
"keywords": [
"<string>"
],
"match_mode": "word",
"exclude_keywords": [
"<string>"
],
"dm_message": "<string>",
"buttons": [
{
"title": "<string>",
"url": "<string>"
}
],
"comment_reply": "<string>",
"public_reply_policy": "after_dm",
"also_match_in_dms": true,
"dm_delay_seconds": 123,
"audience": {
"follower_status": "any",
"when_unknown": "send"
},
"follow_gate": {
"message": "<string>",
"button_label": "<string>",
"not_following_message": "<string>"
},
"repeat_policy": {
"mode": "once",
"cooldown_hours": 123
},
"platform_post_id": "<string>",
"post_id": "<string>",
"post_title": "<string>",
"stats": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "api_error",
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {},
"doc_url": "<string>"
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "invalid_request_error",
"code": "rate_limit_exceeded",
"message": "Too many requests. Please retry later."
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Query Parameters
Was this page helpful?

